Bug 1275042 - [abrt] gnome-font-viewer: strlen(): gnome-font-viewer killed by SIGSEGV
[abrt] gnome-font-viewer: strlen(): gnome-font-viewer killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b7e7fd6cb2665c18ed5ce0f60e7...
:
: 1317803 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 06:54 EDT by Joachim Frieben
Modified: 2016-12-20 10:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.54 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: core_backtrace (17.49 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: dso_list (9.38 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: environ (3.25 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: maps (47.74 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: open_fds (6.36 KB, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-10-25 06:54 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2015-10-25 06:54:00 EDT
Version-Release number of selected component:
gnome-font-viewer-3.16.2-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-font-viewer clR9x15.pcf
crash_function: strlen
executable:     /usr/bin/gnome-font-viewer
global_pid:     3568
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 text_to_glyphs at sushi-font-widget.c:107
 #2 draw_string at sushi-font-widget.c:198
 #3 sushi_font_widget_draw at sushi-font-widget.c:639
 #4 _gtk_widget_draw_internal at gtkwidget.c:6831
 #6 _gtk_widget_draw_windows at gtkwidget.c:6933
 #7 _gtk_widget_draw at gtkwidget.c:7007
 #8 gtk_container_propagate_draw_internal at gtkcontainer.c:3797
 #9 gtk_container_draw at gtkcontainer.c:3666
 #10 draw_bin at gtkviewport.c:848

Potential duplicate: bug 1163629
Comment 1 Joachim Frieben 2015-10-25 06:54:05 EDT
Created attachment 1086171 [details]
File: backtrace
Comment 2 Joachim Frieben 2015-10-25 06:54:06 EDT
Created attachment 1086172 [details]
File: cgroup
Comment 3 Joachim Frieben 2015-10-25 06:54:08 EDT
Created attachment 1086173 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2015-10-25 06:54:10 EDT
Created attachment 1086174 [details]
File: dso_list
Comment 5 Joachim Frieben 2015-10-25 06:54:11 EDT
Created attachment 1086175 [details]
File: environ
Comment 6 Joachim Frieben 2015-10-25 06:54:12 EDT
Created attachment 1086176 [details]
File: exploitable
Comment 7 Joachim Frieben 2015-10-25 06:54:14 EDT
Created attachment 1086177 [details]
File: limits
Comment 8 Joachim Frieben 2015-10-25 06:54:16 EDT
Created attachment 1086178 [details]
File: maps
Comment 9 Joachim Frieben 2015-10-25 06:54:17 EDT
Created attachment 1086179 [details]
File: mountinfo
Comment 10 Joachim Frieben 2015-10-25 06:54:19 EDT
Created attachment 1086180 [details]
File: open_fds
Comment 11 Joachim Frieben 2015-10-25 06:54:20 EDT
Created attachment 1086181 [details]
File: proc_pid_status
Comment 12 Luca Ciavatta 2016-03-15 05:30:29 EDT
*** Bug 1317803 has been marked as a duplicate of this bug. ***
Comment 13 Fedora End Of Life 2016-11-24 07:54:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:08:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.